%global bename fortios
%global pkgname anyconfig-%{bename}-backend

%global desctxt \
This is a backend module for python-anyconfig to load fortios \
"show *configuration" outptus. \
\
python-anyconfig is a python library to provide common APIs to load and dump\
various configuration files like INI, JSON and YAML.

Name:           python-%{pkgname}
Version:        0.3.0
Release:        1%{?dist}%{?dist}
Summary:        Backend module for python-anyconfig to load fortios show outputs
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/ssato/python-anyconfig-fortios-backend
Source0: %{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description %{desctxt}

%package     -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python3-anyconfig
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname} %{desctxt}

%prep
%autosetup   -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install

%files       -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun Oct 22 2023 Satoru SATOH <satoru.satoh@gmail.com> - 0.2.1-1
- New upstream
- drop py2 support

* Fri May  1 2020 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.7-1
- New upstream

* Thu Apr 30 2020 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.6-1
- New upstream

* Fri Apr 10 2020 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.3-1
- New upstream

* Wed Mar 18 2020 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.2-1
- New upstream

* Tue Mar 17 2020 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.1-1
- New upstream

* Mon Mar 16 2020 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.0-1
- Initial packaging
